%global npm_name ieee754
%global enable_tests 1

Name: nodejs-%{npm_name}
Version: 1.1.11
Release: %mkrel 5
Summary: Read/write IEEE754 floating point numbers from/to a Buffer or array-like object
License: BSD
Group: Development/Other
URL: https://github.com/feross/ieee754#readme
Source0: https://registry.npmjs.org/%{npm_name}/-/%{npm_name}-%{version}.tgz
BuildRequires: nodejs-packaging
BuildArch: noarch

%description
%{summary}

%prep
%setup -q -n package

%build
# Nothing to do here

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr test %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%if 0%{?enable_tests}
%check
%{nodejs_symlink_deps} --check
%endif

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc README.md



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 1.1.11-5.mga10
+ Revision: 2208223
- Mageia 10 Mass Rebuild

* Tue Mar 22 2022 umeabot <umeabot> 1.1.11-4.mga9
+ Revision: 1818459
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.11-3.mga8
+ Revision: 1502812
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.11-2.mga7
+ Revision: 1280509
- Mageia 7 Mass Rebuild

* Mon May 07 2018 kekepower <kekepower> 1.1.11-1.mga7
+ Revision: 1227074
- imported package nodejs-ieee754

